Checks if execution finished

- « ReflectionGenerator::getTrace

- ReflectionFiber »

- PHP Manual
- ReflectionGenerator
- Checks if execution finished

# ReflectionGenerator::isClosed

(PHP 8 >= 8.4.0)

ReflectionGenerator::isClosed — Checks if execution finished

### Description

public ReflectionGenerator::isClosed(): bool

Returns whether the execution reached the end of the function, a return statement or if an exception was thrown.

### Parameters

This function has no parameters.

### Return Values

Returns whether the generator finished executing.

### Examples

Example #1 ReflectionGenerator::isClosed() example

    <?php

    function gen()
    {
        yield 'a';
        yield 'a';
    }

    $gen = gen();
    $reflectionGen = new ReflectionGenerator($gen);

    foreach ($gen as $value) {
        echo $value, PHP_EOL;
        var_dump($reflectionGen->isClosed());
    }

    var_dump($reflectionGen->isClosed());

    ?>

The above example will output:

    a
    bool(false)
    a
    bool(false)
    bool(true)